"""
Primitive ``ctypes`` prototypes for the NAG Library FL Interfaces.

Usage Notes
-----------
These prototypes are provided as-is. We do not intend for them
to be utilised directly in user code: they are distinctly un-Pythonic
and require great care to avoid memory corruption or other
hard-to-diagnose crashes.

The prototypes are essentially the C Header Interfaces to the NAG Library
FL Interfaces, transcribed to their ``ctypes`` equivalents.

Arrays are expected to be column ordered in memory; i.e., Fortran contiguous.

On import the `naginterfaces` package redefines the default advisory and error
output units used by the NAG Library. Calling a primitive routine that triggers
output to either of these default units may result in unexpected behaviour
unless the call is context managed (in a ``with`` block) by the
``base.utils._NagLibOutput`` context manager.

A prototype will be set to ``None`` when interfacing to the corresponding
NAG Library FL Interface routine is not supported because of interoperability
barriers.
"""

# NAG Copyright 2017-2019.
