# -*- coding: utf-8 -*-
u"""
Examples for the ``rnla`` module.

``rnla`` - Randomized Numerical Linear Algebra

This module covers linear algebra functions that make use of random
projections to reduce problem dimension.
This area is referred to as RNLA (Randomized Numerical Linear Algebra).
The functions can be split into the following categories:

- building blocks that are intended to be used as components in RNLA
  algorithms written by you;

- RNLA algorithms for matrix factorization.

It is envisaged that users of the higher-level functions, such as matrix
factorization, will have some background in linear algebra.
A common use case would be that you have tried solving your problem
using a deterministic linear algebra function, e.g., an LAPACK function
from submodule ``lapackeig``, and are in need of a function that is more
computationally efficient.

Users of the building block functions would be expected to have some
familiarity with the RNLA literature, i.e., a higher level of expertise.

For full information please refer to the NAG Library document

https://www.nag.com/numeric/nl/nagdoc_27/flhtml/f10/f10intro.html
"""

# NAG Copyright 2017-2019.

pass
