#!/usr/bin/env python
"""
Integration tests for wrapper functionality in the sum submodule.

Public use of this module is not supported by NAG.
"""

# NAG Copyright 2018.

# pylint: disable=invalid-name

import unittest

from test_functionality_core import IntegrationTest

class TestC06ba(IntegrationTest): # pylint: disable=too-few-public-methods
    """
    Abstract suite of integration tests for the c06ba wrapper.
    """

class TestC06baBase(TestC06ba, unittest.TestCase):
    """
    Concrete base tests.
    """

    def setUp(self):
        from naginterfaces.base import sum as chapter
        TestC06ba.set_up(self)
        self.fun = chapter.accelerate

    def test_good(self):
        """
        Good call.
        """
        comm = {}
        self.assertEqual(
            self.fun(1., 0, comm, 56).result,
            1.,
        )

if __name__ == '__main__': # pragma: no cover
    unittest.main()
